local socket = require "socket"
local timer = 0

function love.load()
	client = socket.connect("127.0.0.1", 12345)
	if client == nil then
		print("Couldn't connect to server...")
	else
		client:settimeout(0)
		print("Connected to server! " .. client:getpeername())
	end
end

function love.update(dt)
	if client ~= nil then
		local data_recv, err = client:receive()
		if data_recv ~= nil then
			print("Server sent a data: " .. data_recv)
		else
			if err ~= "timeout" then
				print("Oops. Something happened: " .. err)
				client:close()
				client = nil
			end
		end
		
		-- once in a 3 secs, send "Hi!\n" to server
		timer = timer + dt
		if timer >= 3 then
			timer = timer - 3
			client:send("Hi!\n")
			print("Send data to server: Hi!")
		end
	end
end